diff -crN chinese5/ChangeLog chinese5-1/ChangeLog
*** chinese5/ChangeLog	Wed Dec 31 19:00:00 1969
--- chinese5-1/ChangeLog	Wed Nov 17 19:59:37 1993
***************
*** 0 ****
--- 1,162 ----
+ 
+ 
+ Fri Oct  8 14:04:29 1993  root
+ 
+ 	* ChangeLog: Initial revision
+ 
+ 	* cnprint220.c:
+ 	Let English and Chinese message can display according to the 
+ 	exitence of Chinese daemon.
+ 
+ 	* cnprint220.c: Initial revision
+ 
+ 	* chinese.c: *** empty log message ***
+ 
+ 	* ttyserver.c:
+ 	The running process number is lower to one,not three.But the performance
+ 	is lower,too.
+ 
+ Wed Oct  6 23:49:33 1993  root
+ 
+ 	* ttyserver.c: *** empty log message ***
+ 
+ Mon Oct  4 01:09:30 1993  root
+ 
+ 	* README: *** empty log message ***
+ 
+ Sun Oct  3 23:38:57 1993  root
+ 
+ 	* 1: Initial revision
+ 
+ Thu Sep 30 00:21:40 1993  root
+ 
+ 	* HBF_api.c: Initial revision
+ 
+ Wed Sep 29 22:43:40 1993  root
+ 
+ 	* loadfont.c: Initial revision
+ 
+ 	* chinese.c: *** empty log message ***
+ 
+ Sun Sep 26 20:10:29 1993  root
+ 
+ 	* ttyserver.c: *** empty log message ***
+ 
+ 	* main.c: Add code to change window size
+ 
+ 	* chinese.c, version.c: *** empty log message ***
+ 
+ 	* chinese.c: Add code for change the window size
+ 
+ 	* ttyserver.c: Add code to change chinese window size
+ 
+ Fri Sep 24 10:41:58 1993  root
+ 
+ 	* README: *** empty log message ***
+ 
+ Thu Sep 23 14:57:50 1993  root
+ 
+ 	* main.c: *** empty log message ***
+ 
+ Wed Sep 22 20:05:37 1993  root
+ 
+ 	* mkmulti.c: *** empty log message ***
+ 
+ 	* chinese.c: Fix Load font function
+ 
+ 	* Makefile, version.c: *** empty log message ***
+ 
+ 	* version.c: A clean version build
+ 
+ 	* chinese.c: KC font is became default font now.
+ 
+ 	* README: *** empty log message ***
+ 
+ Tue Sep 21 23:45:45 1993  root
+ 
+ 	* Makefile: The HAN font is not default now
+ 
+ 	* chinese.c: The font definition file add a parameter to skip the head
+ 	of font file
+ 
+ Fri Sep 17 16:49:12 1993  root
+ 
+ 	* output.c: Home screnn function is fixed
+ 
+ 	* chinese.c:
+ 	Now console simulater can work with emacs.The Home function is fixed
+ 
+ 	* output.c: Fix scroll
+ 
+ 	* chinese.c, chinese.h: *** empty log message ***
+ 
+ 	* chinese.h: Add top and bottom of screen
+ 
+ 	* ttyserver.c: Add version display
+ 
+ 	* version.c: Initial revision
+ 
+ 	* ttyserver.c: Fix a misspell word
+ 
+ 	* output.c: Fix set scroll error
+ 
+ Thu Sep 16 11:16:22 1993  root
+ 
+ 	* scale.c: Initial revision
+ 
+ Wed Sep 15 18:35:48 1993  root
+ 
+ 	* input.c: The Phone input method is correctly now.
+ 
+ Tue Sep 14 09:57:50 1993  root
+ 
+ 	* chinese.c:
+ 	Let the number of preloaded fonts is adjust by enviroment variable
+ 	"LOADFONT"
+ 
+ 	* chinese.c: *** empty log message ***
+ 
+ 	* chinese.c: Add dynamic font loaded
+ 
+ 	* chinese.c: The output of tran_code is limit to 14000
+ 
+ 	* chinese.h: *** empty log message ***
+ 
+ Sun Sep 12 21:22:08 1993  root
+ 
+ 	* chinese.c, input.c: display chinese mark
+ 
+ 	* chinese.c: Add DEBUG Option
+ 
+ 	* chinese.h: Initial revision
+ 
+ 	* ptyopen.c, chinese.c: *** empty log message ***
+ 
+ 	* input.c: Build 0.2
+ 
+ 	* ptyopen.c: Initial revision
+ 
+ 	* error.c: Change sleep time from 5 seconds to 6 seconds
+ 
+ 	* error.c, Makefile, PROBLEM, README, TODO, ccc.c, chinese.c, drawtext.S, input.c, main.c, mkmulti.c, output.c, scroll.S, ttyserver.c, vga.c:
+ 	*** empty log message ***
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
+ 
diff -crN chinese5/Makefile chinese5-1/Makefile
*** chinese5/Makefile	Mon Nov 15 09:59:08 1993
--- chinese5-1/Makefile	Wed Nov 17 20:00:10 1993
***************
*** 76,82 ****
  	mknod /dev/cin p
  	chmod 666 /dev/cin
  	chmod +x setfont24
! 	setfont24
  	echo "If the font you set right now doesn't correct,you can"
  	echo "reinstall by type setfont24 in command line"
  
--- 76,82 ----
  	mknod /dev/cin p
  	chmod 666 /dev/cin
  	chmod +x setfont24
! 	./setfont24
  	echo "If the font you set right now doesn't correct,you can"
  	echo "reinstall by type setfont24 in command line"
  
***************
*** 99,105 ****
  	rm -f /etc/sethbffont
  
  pack :
! 	tar cvf chdrv05.tar chinese.c vga.c chinese.h vga.h drawtext.S \
  	        termcap Makefile \
  		hanfont README input.c output.c dayi.def main.c ttyserver.c \
  		ptyopen.c mkmulti.c vgadef.h chmsg.h error.c ccc.c scroll.S \
--- 99,105 ----
  	rm -f /etc/sethbffont
  
  pack :
! 	tar cvf chdrv05-1.tar chinese.c vga.c chinese.h vga.h drawtext.S \
  	        termcap Makefile \
  		hanfont README input.c output.c dayi.def main.c ttyserver.c \
  		ptyopen.c mkmulti.c vgadef.h chmsg.h error.c ccc.c scroll.S \
***************
*** 108,115 ****
  		README.0.3pl2 hbffont sethbffont loadfont.c HBF-SUPPORT \
  		MANUAL.DOC HBF_api.c HBF_api.h cnprint220.c cnprint.cmd \
  		NEWS chdrv.FAQ portable.c portable.h PORTABLE.DOC tit2def.perl \
! 		tit2phone.perl	
! 	gzip chdrv05.tar
  
  dayi.tbl : dayi.def mkmulti
  	mkmulti dayi.def dayi.tbl
--- 108,115 ----
  		README.0.3pl2 hbffont sethbffont loadfont.c HBF-SUPPORT \
  		MANUAL.DOC HBF_api.c HBF_api.h cnprint220.c cnprint.cmd \
  		NEWS chdrv.FAQ portable.c portable.h PORTABLE.DOC tit2def.perl \
! 		tit2phone.perl chexist.c kck24.hbf kcm24.hbf kcm24j.hbf ChangeLog	
! 	gzip chdrv05-1.tar
  
  dayi.tbl : dayi.def mkmulti
  	mkmulti dayi.def dayi.tbl
diff -crN chinese5/chexist.c chinese5-1/chexist.c
*** chinese5/chexist.c	Wed Dec 31 19:00:00 1969
--- chinese5-1/chexist.c	Wed Nov 17 19:55:43 1993
***************
*** 0 ****
--- 1,38 ----
+ #include <sys/ioctl.h>
+ #include <fcntl.h>
+ #include <signal.h>
+ #include <unistd.h>
+ #include <sys/vt.h>
+ #include <sys/kd.h>
+ #include "chinese.h"
+ extern int chinese_mod;
+ 
+ check_if_chinese_exist()
+ {
+   int fd;
+   int mode;
+   char exist;
+   CMSG msg;
+   char tty[10];
+   char *ttyn = ttyname(0);
+   
+   strcpy(tty,ttyn);
+   fd = open("/dev/cin",O_WRONLY|O_NDELAY);
+   if (fd < 0)
+     chinese_mod = 0;
+   else
+     {
+       close(fd);
+       tty[8] = tty[9];
+       tty[9] = 0;
+       fd = open(tty,O_RDWR);
+       if (ioctl(fd,KDGETMODE,&mode) < 0)
+ 	chinese_mod = 0;
+       else if (mode == KD_GRAPHICS)
+ 	chinese_mod = 1;
+       else
+ 	chinese_mod = 0;
+       close(fd);
+     }
+ }
+ 
Binary files chinese5/dayi.tbl and chinese5-1/dayi.tbl differ
diff -crN chinese5/kck24.hbf chinese5-1/kck24.hbf
*** chinese5/kck24.hbf	Wed Dec 31 19:00:00 1969
--- chinese5-1/kck24.hbf	Wed Nov 17 19:59:37 1993
***************
*** 0 ****
--- 1,59 ----
+ HBF_START_FONT 1.0
+ HBF_CODE_SCHEME Big5 KuoChiau v5.00
+ FONT kck24
+ COMMENT
+ COMMENT An equivalent full X11R5 XLFD conforming font name is
+ COMMENT	-KC-Kai-medium-r-normal-fantizi-24-240-75-75-c-240-Big5-1
+ COMMENT which is formed from the first 15 properties listed in
+ COMMENT the STARTPROPERTIES section below.
+ COMMENT Any of these properties is optional, as in the simple HBF file.
+ COMMENT
+ SIZE 24 75 75
+ HBF_BITMAP_BOUNDING_BOX 24 24 0 -2
+ FONTBOUNDINGBOX 24 24 0 -2
+ COMMENT
+ COMMENT  Begin Logical Font Description -- 20 special properties for this FONT
+ COMMENT
+ STARTPROPERTIES 20
+ FONTNAME_REGISTRY ""
+ FOUNDRY "Kuo Chiau"
+ FAMILY_NAME "Kai"
+ WEIGHT_NAME "medium"
+ SLANT "r"
+ SETWIDTH_NAME "normal"
+ ADD_STYLE_NAME "fantizi"
+ PIXEL_SIZE 24
+ POINT_SIZE 240
+ RESOLUTION_X 75
+ RESOLUTION_Y 75
+ SPACING "c"
+ AVERAGE_WIDTH 240
+ CHARSET_REGISTRY "Big5"
+ CHARSET_ENCODING "1"
+ FONT_ASCENT 22
+ FONT_DESCENT 2
+ DEFAULT_CHAR 0xA140
+ COMMENT 0xA140 is the Space character.
+ COPYRIGHT "This HBF header file is in the public domain."
+ NOTICE "The hanzi bitmap file is kcchin24.f02"
+ COMMENT Users should observe the copyrights of the hanzi bitmap files.
+ ENDPROPERTIES
+ CHARS 13524
+ HBF_START_BYTE_2_RANGES 2
+ HBF_BYTE_2_RANGE 0x40-0x7E
+ HBF_BYTE_2_RANGE 0xA1-0xFE
+ HBF_END_BYTE_2_RANGES
+ COMMENT
+ HBF_START_CODE_RANGES 4
+ HBF_CODE_RANGE 0xA140-0xA3BF kcchin24.f02 256
+ HBF_CODE_RANGE 0xA3C0-0xA3FE kcchin24.f02 29632
+ HBF_CODE_RANGE 0xA440-0xC67E kcchin24.f02 55336
+ HBF_CODE_RANGE 0xC940-0xF9D5 kcchin24.f02 444208
+ HBF_END_CODE_RANGES
+ COMMENT Standard symbols 0xA140-0xA3BF (408 chars)
+ COMMENT Non-standard symbols 0xA3C0-0xA3FE (63 characters)
+ COMMENT Additional 294 (GB?) symbols in offset 34168-55335
+ COMMENT Frequently-used hanzi 0xA440-0xC67E (5401 chars)
+ COMMENT Less-frequently-used hanzi 0xC940-0xF9D5 (7652 chars)
+ COMMENT Additional 142 symbols in offset 995152-1005375
+ HBF_END_FONT
diff -crN chinese5/kcm24.hbf chinese5-1/kcm24.hbf
*** chinese5/kcm24.hbf	Wed Dec 31 19:00:00 1969
--- chinese5-1/kcm24.hbf	Wed Nov 17 19:59:37 1993
***************
*** 0 ****
--- 1,59 ----
+ HBF_START_FONT 1.0
+ HBF_CODE_SCHEME Big5 KuoChiau v5.00
+ FONT kcm24
+ COMMENT
+ COMMENT An equivalent full X11R5 XLFD conforming font name is
+ COMMENT	-KC-Ming-medium-r-normal-fantizi-24-240-75-75-c-240-Big5-1
+ COMMENT which is formed from the first 15 properties listed in
+ COMMENT the STARTPROPERTIES section below.
+ COMMENT Any of these properties is optional, as in the simple HBF file.
+ COMMENT
+ SIZE 24 75 75
+ HBF_BITMAP_BOUNDING_BOX 24 24 0 -2
+ FONTBOUNDINGBOX 24 24 0 -2
+ COMMENT
+ COMMENT  Begin Logical Font Description -- 20 special properties for this FONT
+ COMMENT
+ STARTPROPERTIES 20
+ FONTNAME_REGISTRY ""
+ FOUNDRY "Kuo Chiau"
+ FAMILY_NAME "Ming"
+ WEIGHT_NAME "medium"
+ SLANT "r"
+ SETWIDTH_NAME "normal"
+ ADD_STYLE_NAME "fantizi"
+ PIXEL_SIZE 24
+ POINT_SIZE 240
+ RESOLUTION_X 75
+ RESOLUTION_Y 75
+ SPACING "c"
+ AVERAGE_WIDTH 240
+ CHARSET_REGISTRY "Big5"
+ CHARSET_ENCODING "1"
+ FONT_ASCENT 22
+ FONT_DESCENT 2
+ DEFAULT_CHAR 0xA140
+ COMMENT 0xA140 is the Space character.
+ COPYRIGHT "This HBF header file is in the public domain."
+ NOTICE "The hanzi bitmap file is kcchin24.f00"
+ COMMENT Users should observe the copyrights of the hanzi bitmap files.
+ ENDPROPERTIES
+ CHARS 13524
+ HBF_START_BYTE_2_RANGES 2
+ HBF_BYTE_2_RANGE 0x40-0x7E
+ HBF_BYTE_2_RANGE 0xA1-0xFE
+ HBF_END_BYTE_2_RANGES
+ COMMENT
+ HBF_START_CODE_RANGES 4
+ HBF_CODE_RANGE 0xA140-0xA3BF kcchin24.f00 256
+ HBF_CODE_RANGE 0xA3C0-0xA3FE kcchin24.f00 29632
+ HBF_CODE_RANGE 0xA440-0xC67E kcchin24.f00 55336
+ HBF_CODE_RANGE 0xC940-0xF9D5 kcchin24.f00 444208
+ HBF_END_CODE_RANGES
+ COMMENT Standard symbols 0xA140-0xA3BF (408 chars)
+ COMMENT Non-standard symbols 0xA3C0-0xA3FE (63 characters)
+ COMMENT Additional 294 (GB?) symbols in offset 34168-55335
+ COMMENT Frequently-used hanzi 0xA440-0xC67E (5401 chars)
+ COMMENT Less-frequently-used hanzi 0xC940-0xF9D5 (7652 chars)
+ COMMENT Additional 142 symbols in offset 995152-1005375
+ HBF_END_FONT
diff -crN chinese5/kcm24j.hbf chinese5-1/kcm24j.hbf
*** chinese5/kcm24j.hbf	Wed Dec 31 19:00:00 1969
--- chinese5-1/kcm24j.hbf	Wed Nov 17 19:59:37 1993
***************
*** 0 ****
--- 1,59 ----
+ HBF_START_FONT 1.0
+ HBF_CODE_SCHEME Big5 KuoChiau v5.00
+ FONT kcm24j
+ COMMENT
+ COMMENT An equivalent full X11R5 XLFD conforming font name is
+ COMMENT	-KC-Ming-medium-r-normal-jiantizi-24-240-75-75-c-240-Big5-1
+ COMMENT which is formed from the first 15 properties listed in
+ COMMENT the STARTPROPERTIES section below.
+ COMMENT Any of these properties is optional, as in the simple HBF file.
+ COMMENT
+ SIZE 24 75 75
+ HBF_BITMAP_BOUNDING_BOX 24 24 0 -2
+ FONTBOUNDINGBOX 24 24 0 -2
+ COMMENT
+ COMMENT  Begin Logical Font Description -- 20 special properties for this FONT
+ COMMENT
+ STARTPROPERTIES 20
+ FONTNAME_REGISTRY ""
+ FOUNDRY "Kuo Chiau"
+ FAMILY_NAME "Ming"
+ WEIGHT_NAME "medium"
+ SLANT "r"
+ SETWIDTH_NAME "normal"
+ ADD_STYLE_NAME "jiantizi"
+ PIXEL_SIZE 24
+ POINT_SIZE 240
+ RESOLUTION_X 75
+ RESOLUTION_Y 75
+ SPACING "c"
+ AVERAGE_WIDTH 240
+ CHARSET_REGISTRY "Big5"
+ CHARSET_ENCODING "1"
+ FONT_ASCENT 22
+ FONT_DESCENT 2
+ DEFAULT_CHAR 0xA140
+ COMMENT 0xA140 is the Space character.
+ COPYRIGHT "This HBF header file is in the public domain."
+ NOTICE "The hanzi bitmap file is kcchin24.f15"
+ COMMENT Users should observe the copyrights of the hanzi bitmap files.
+ ENDPROPERTIES
+ CHARS 13524
+ HBF_START_BYTE_2_RANGES 2
+ HBF_BYTE_2_RANGE 0x40-0x7E
+ HBF_BYTE_2_RANGE 0xA1-0xFE
+ HBF_END_BYTE_2_RANGES
+ COMMENT
+ HBF_START_CODE_RANGES 4
+ HBF_CODE_RANGE 0xA140-0xA3BF kcchin24.f15 256
+ HBF_CODE_RANGE 0xA3C0-0xA3FE kcchin24.f15 29632
+ HBF_CODE_RANGE 0xA440-0xC67E kcchin24.f15 55336
+ HBF_CODE_RANGE 0xC940-0xF9D5 kcchin24.f15 444208
+ HBF_END_CODE_RANGES
+ COMMENT Standard symbols 0xA140-0xA3BF (408 chars)
+ COMMENT Non-standard symbols 0xA3C0-0xA3FE (63 characters)
+ COMMENT Additional 294 (GB?) symbols in offset 34168-55335
+ COMMENT Frequently-used hanzi 0xA440-0xC67E (5401 chars)
+ COMMENT Less-frequently-used hanzi 0xC940-0xF9D5 (7652 chars)
+ COMMENT Additional 142 symbols in offset 995152-1005375
+ HBF_END_FONT
diff -crN chinese5/vga.c chinese5-1/vga.c
*** chinese5/vga.c	Fri Oct  8 17:34:53 1993
--- chinese5-1/vga.c	Wed Nov 17 19:48:35 1993
***************
*** 567,573 ****
      return 0;  
  }
  
! int vga_clearblock(int lx,int ty,int rx,int by)
  {
    int c,i;
  
--- 567,573 ----
      return 0;  
  }
  
! void vga_clearblock(int lx,int ty,int rx,int by)
  {
    int c,i;
  
***************
*** 1095,1101 ****
  }
  
  
! int vga_cursor(int x,int y)
  {
    int i,off,j,c,dummy,mask;
    char old,oldp;
--- 1095,1101 ----
  }
  
  
! void vga_cursor(int x,int y)
  {
    int i,off,j,c,dummy,mask;
    char old,oldp;
diff -crN chinese5/vga.h chinese5-1/vga.h
*** chinese5/vga.h	Sat Nov 13 08:29:46 1993
--- chinese5-1/vga.h	Wed Nov 17 19:48:38 1993
***************
*** 58,64 ****
  void vga_moveleft(int,int,int,int);
  void vga_moveright(int,int,int,int);
  void vga_cursor(int,int);
! void vga_curcolor();
  void vga_underline(int);
  
  #endif /* VGA_H */
--- 58,64 ----
  void vga_moveleft(int,int,int,int);
  void vga_moveright(int,int,int,int);
  void vga_cursor(int,int);
! int vga_curcolor();
  void vga_underline(int);
  
  #endif /* VGA_H */
